# mypy-boto3-amplify

[![PyPI - mypy-boto3-amplify](https://img.shields.io/pypi/v/mypy-boto3-amplify.svg?color=blue)](https://pypi.org/project/mypy-boto3-amplify)
[![PyPI - Python Version](https://img.shields.io/pypi/pyversions/mypy-boto3-amplify.svg?color=blue)](https://pypi.org/project/mypy-boto3-amplify)
[![Docs](https://img.shields.io/readthedocs/mypy-boto3-builder.svg?color=blue)](https://mypy-boto3-builder.readthedocs.io/)

Type annotations for
[boto3.Amplify 1.14.0](https://boto3.amazonaws.com/v1/documentation/api/1.14.0/reference/services/amplify.html#Amplify) service
compatible with [mypy](https://github.com/python/mypy), [VSCode](https://code.visualstudio.com/),
[PyCharm](https://www.jetbrains.com/pycharm/) and other tools.

Generated by [mypy-boto3-buider 2.1.0](https://github.com/vemel/mypy_boto3_builder).

More information can be found on [boto3-stubs](https://pypi.org/project/boto3-stubs/) page.

## How to install

Make sure you have [mypy](https://github.com/python/mypy) installed and activated in your IDE.

Install `boto3-stubs` for `Amplify` service.

```bash
python -m pip install boto3-stubs[amplify]
```

## How to use

### Client annotations

`AmplifyClient` provides annotations for `boto3.client("amplify")`.

```python
import boto3

from mypy_boto3_amplify import AmplifyClient

client: AmplifyClient = boto3.client("amplify")

# now client usage is checked by mypy and IDE should provide code auto-complete

# works for session as well
session = boto3.session.Session(region="us-west-1")
session_client: AmplifyClient = session.client("amplify")
```

### Paginators annotations

`mypy_boto3_amplify.paginator` module contains type annotations for all paginators.

```python
from mypy_boto3_amplify import AmplifyClient
from mypy_boto3_amplify.paginator import (
    ListAppsPaginator,
    ListBranchesPaginator,
    ListDomainAssociationsPaginator,
    ListJobsPaginator,
)

client: AmplifyClient = boto3.client("amplify")

# Explicit type annotations are optional here
# Type should be correctly discovered by mypy and IDEs
# VSCode requires explicit type annotations
list_apps_paginator: ListAppsPaginator = client.get_paginator("list_apps")
list_branches_paginator: ListBranchesPaginator = client.get_paginator("list_branches")
list_domain_associations_paginator: ListDomainAssociationsPaginator = client.get_paginator("list_domain_associations")
list_jobs_paginator: ListJobsPaginator = client.get_paginator("list_jobs")
```







### Typed dictionations

`mypy_boto3_amplify.type_defs` module contains structures and shapes assembled
to typed dictionaries for additional type checking.

```python
from mypy_boto3_amplify.type_defs import AppTypeDef, ...

def get_structure() -> AppTypeDef:
    return {
      ...
    }
```


## Dynamic type annotations

`mypy_boto3` command generates `boto3.client/resource` type annotations for
`mypy_boto3_amplify` and other installed services.

```bash
# Run this command after you add or remove service packages
python -m mypy_boto3
```

Generated type annotations provide overloads for `boto3.client` and `boto3.resource`,
`boto3.Session.client` and `boto3.Session.resource` functions,
so explicit type annotations are not needed.

- `mypy` supports function overloads as expected
- `PyCharm` also supports function overloads, but consumes a lot of RAM, use carefully if you have many services installed
- `VSCode` does not currently support function overloads, use explicit type annotations

```python
import boto3

# Type is discovered correctly by mypy and PyCharm
# VSCode still needs explicit type annotations
client = boto3.client("amplify")

session_client = boto3.Session().client("amplify")
```